Capture screenshot of a web page
curl --request POST \
--url https://api.weblinq.dev/v1/web/screenshot \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"url": "<string>",
"waitTime": 0,
"base64": false,
"screenshotOptions": {},
"viewport": {
"height": 800,
"width": 1280,
"deviceScaleFactor": 1,
"hasTouch": false,
"isLandscape": false,
"isMobile": false
}
}
'import requests
url = "https://api.weblinq.dev/v1/web/screenshot"
payload = {
"url": "<string>",
"waitTime": 0,
"base64": False,
"screenshotOptions": {},
"viewport": {
"height": 800,
"width": 1280,
"deviceScaleFactor": 1,
"hasTouch": False,
"isLandscape": False,
"isMobile": False
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
url: '<string>',
waitTime: 0,
base64: false,
screenshotOptions: {},
viewport: {
height: 800,
width: 1280,
deviceScaleFactor: 1,
hasTouch: false,
isLandscape: false,
isMobile: false
}
})
};
fetch('https://api.weblinq.dev/v1/web/screenshot', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
"<string>"{
"success": false,
"error": {
"message": "Authentication required",
"code": "UNAUTHORIZED",
"requestId": "bf68e5de-f6ef-479f-9328-6d3f48d5b7d4"
}
}{
"success": false,
"error": {
"issues": [
{
"code": "invalid_type",
"expected": "string",
"received": "undefined",
"path": [
"url"
],
"message": "Required"
}
],
"name": "ZodError"
}
}{
"success": false,
"error": {
"message": "Authentication required",
"code": "UNAUTHORIZED",
"requestId": "bf68e5de-f6ef-479f-9328-6d3f48d5b7d4"
}
}Web
Capture screenshot of a web page
Capture screenshot of the specified URL with optional configuration. Returns binary image data by default for optimal performance.
POST
/
v1
/
web
/
screenshot
Capture screenshot of a web page
Authorizations
Enter your API token or session token
Body
application/json
Screenshot parameters
Response
Screenshot captured successfully - returns binary image data by default
Raw bytes; default response.
⌘I
